Retrieve Multiple Workflow Stage Changes
GET
https://mapi.storyblok.com/v1/spaces/:space_id/workflow_stage_changes?with_story=123Returns an array of workflow stage change objects.
Path parameters
Section titled “Path parameters”- :space_id required number
Numeric ID of a space
Query parameters
Section titled “Query parameters”- with_story required number
Filter by the ID of the story
Response properties
Section titled “Response properties”- workflow_stage_changes Workflow Stage Change Object[]
An array of Workflow Stage Change Objects
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes\?with_story=123" \ -H "Authorization: YOUR_OAUTH_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/288868932106293/workflow_stage_changes', { "with_story": "123"}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$client->get('spaces/288868932106293/workflow_stage_changes', [ "with_story" => "123"])->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes?with_story=123") .header("Authorization", "YOUR_OAUTH_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes?with_story=123");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes"
querystring = {"with_story":"123"}
payload = ""headers = { 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
client.get('spaces/288868932106293/workflow_stage_changes', {:params => { "with_story" => "123"}})let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/workflow_stage_changes")request.url!.append(queryItems: [ URLQueryItem(name: "with_story", value: "123")])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.get("spaces/288868932106293/workflow_stage_changes") { url { parameters.append("with_story", "123") }}
println(response.body<JsonElement>())You will get an array of workflow stage change objects as response.
Thanks! We received your feedback.
An error occurred. Please try again.
Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community